---
title: '<ul>: The Unordered List element'
slug: Web/HTML/Element/ul
tags:
  - Element
  - HTML
  - HTML grouping content
  - Reference
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML <code>&lt;ul&gt;</code> element</strong> represents an unordered list of items, typically rendered as a bulleted list.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/ul.html", "tabbed-standard")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, and if the <code>&lt;ul&gt;</code> element's children include at least one {{HTMLElement("li")}} element, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Palpable_content">palpable content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Zero or more {{HTMLElement("li")}}, {{HTMLElement("script")}} and {{HTMLElement("template")}} elements.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#flow_content">flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/List_role">list</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("directory")}}, {{ARIARole("group")}}, {{ARIARole("listbox")}}, {{ARIARole("menu")}}, {{ARIARole("menubar")}}, {{ARIARole("none")}}, {{ARIARole("presentation")}}, {{ARIARole("radiogroup")}}, {{ARIARole("tablist")}}, {{ARIARole("toolbar")}}, {{ARIARole("tree")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM Interface</th>
   <td>{{domxref("HTMLUListElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{ htmlattrdef("compact") }} {{Deprecated_inline}}</dt>
 <dd>This Boolean attribute hints that the list should be rendered in a compact style. The interpretation of this attribute depends on the {{glossary("user agent")}}, and it doesn't work in all browsers.</dd>
 <dd>
 <div class="warning"><strong>Warning:</strong> Do not use this attribute, as it has been deprecated: use <a href="/en-US/docs/Web/CSS">CSS</a> instead. To give a similar effect as the <code>compact</code> attribute, the CSS property {{cssxref("line-height")}} can be used with a value of <code>80%</code>.</div>
 </dd>
</dl>

<dl>
 <dt>{{ htmlattrdef("type") }} {{Deprecated_inline}}</dt>
 <dd>This attribute sets the bullet style for the list. The values defined under HTML3.2 and the transitional version of HTML 4.0/4.01 are:
 <ul>
  <li><code>circle</code></li>
  <li><code>disc</code></li>
  <li><code>square</code></li>
 </ul>

 <p>A fourth bullet type has been defined in the WebTV interface, but not all browsers support it: <code>triangle</code>.</p>

 <p>If not present and if no <a href="/en-US/docs/Web/CSS">CSS</a> {{ cssxref("list-style-type") }} property applies to the element, the user agent selects a bullet type depending on the nesting level of the list.</p>

 <div class="warning"><strong>Warning:</strong> Do not use this attribute, as it has been deprecated; use the <a href="/en-US/docs/Web/CSS">CSS</a> {{ cssxref("list-style-type") }} property instead.</div>
 </dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>The <code>&lt;ul&gt;</code> element is for grouping a collection of items that do not have a numerical ordering, and their order in the list is meaningless. Typically, unordered-list items are displayed with a bullet, which can be of several forms, like a dot, a circle, or a square. The bullet style is not defined in the HTML description of the page, but in its associated CSS, using the {{ cssxref("list-style-type") }} property.</li>
 <li>The <code>&lt;ul&gt;</code> and {{HTMLElement("ol")}} elements may be nested as deeply as desired. Moreover, the nested lists may alternate between <code>&lt;ol&gt;</code> and <code>&lt;ul&gt;</code> without restriction.</li>
 <li>The {{ HTMLElement("ol") }} and <code>&lt;ul&gt;</code> elements both represent a list of items. They differ in that, with the {{ HTMLElement("ol") }} element, the order is meaningful. As a rule of thumb to determine which one to use, try changing the order of the list items; if the meaning is changed, the {{ HTMLElement("ol") }} element should be used, otherwise you can use <code>&lt;ul&gt;</code>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;first item&lt;/li&gt;
  &lt;li&gt;second item&lt;/li&gt;
  &lt;li&gt;third item&lt;/li&gt;
&lt;/ul&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Simple_example", 400, 100)}}</p>

<h3 id="Nesting_a_list">Nesting a list</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;first item&lt;/li&gt;
  &lt;li&gt;second item
  &lt;!-- Look, the closing &lt;/li&gt; tag is not placed here! --&gt;
    &lt;ul&gt;
      &lt;li&gt;second item first subitem&lt;/li&gt;
      &lt;li&gt;second item second subitem
      &lt;!-- Same for the second nested unordered list! --&gt;
        &lt;ul&gt;
          &lt;li&gt;second item second subitem first sub-subitem&lt;/li&gt;
          &lt;li&gt;second item second subitem second sub-subitem&lt;/li&gt;
          &lt;li&gt;second item second subitem third sub-subitem&lt;/li&gt;
        &lt;/ul&gt;
      &lt;/li&gt; &lt;!-- Closing &lt;/li&gt; tag for the li that
                  contains the third unordered list --&gt;
      &lt;li&gt;second item third subitem&lt;/li&gt;
    &lt;/ul&gt;
  &lt;!-- Here is the closing &lt;/li&gt; tag --&gt;
  &lt;/li&gt;
  &lt;li&gt;third item&lt;/li&gt;
&lt;/ul&gt;</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Nesting_a_list", 400, 220)}}</p>

<h3 id="Ordered_list_inside_unordered_list">Ordered list inside unordered list</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;first item&lt;/li&gt;
  &lt;li&gt;second item
  &lt;!-- Look, the closing &lt;/li&gt; tag is not placed here! --&gt;
    &lt;ol&gt;
      &lt;li&gt;second item first subitem&lt;/li&gt;
      &lt;li&gt;second item second subitem&lt;/li&gt;
      &lt;li&gt;second item third subitem&lt;/li&gt;
    &lt;/ol&gt;
  &lt;!-- Here is the closing &lt;/li&gt; tag --&gt;
  &lt;/li&gt;
  &lt;li&gt;third item&lt;/li&gt;
&lt;/ul&gt;
</pre>

<p>The above HTML will output:</p>

<p>{{EmbedLiveSample("Ordered_list_inside_unordered_list", 400, 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-ul-element', '&lt;ul&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'grouping-content.html#the-ul-element', '&lt;ul&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.ul")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other list-related HTML Elements: {{HTMLElement("ol")}}, {{HTMLElement("li")}}, {{HTMLElement("menu")}}</li>
 <li>CSS properties that may be specially useful to style the <code>&lt;ul&gt;</code> element:
  <ul>
   <li>the {{CSSxRef("list-style")}} property, to choose the way the ordinal displays</li>
   <li><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">CSS counters</a>, to handle complex nested lists</li>
   <li>the {{CSSxRef("line-height")}} property, to simulate the deprecated {{HTMLAttrxRef("compact", "ul")}} attribute</li>
   <li>the {{CSSxRef("margin")}} property, to control the list indentation</li>
  </ul>
 </li>
</ul>
